FunctionExpression (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression.function
Interface FunctionExpression<T>

Type Parameters:
  `T` - The type of the function result.

All Superinterfaces:
  Expression<T>, Selection<T>, TupleElement<T>

All Known Implementing Classes:
  AbsFunction, AggregationFunction, AggregationFunction.AVG, AggregationFunction.COUNT, AggregationFunction.GREATEST, AggregationFunction.LEAST, AggregationFunction.MAX, AggregationFunction.MIN, AggregationFunction.SUM, BasicFunctionExpression, CastFunction, CurrentDateFunction, CurrentTimeFunction, CurrentTimestampFunction, LengthFunction, LocateFunction, LowerFunction, ParameterizedFunctionExpression, SqrtFunction, SubstringFunction, TrimFunction, UpperFunction

    public interface FunctionExpression<T>

extends Expression<T>

Contract for expressions which model a SQL function call.

Method Summary
`String` | `getFunctionName()` Retrieve the name of the function.
`boolean` | `isAggregation()` Is this function a value aggregator (like a `COUNT` or `MAX` function e.g.)?

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getFunctionName

    String getFunctionName()

  Retrieve the name of the function.

  Returns:
    The function name.

### isAggregation

    boolean isAggregation()

  Is this function a value aggregator (like a `COUNT` or `MAX` function e.g.)?

  Returns:
    True if this functions does aggregation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.